# include/xapian/enquire.h File Reference

API for running queries. More...

`#include <string>`
`#include <xapian/base.h>`
`#include <xapian/deprecated.h>`
`#include <xapian/sorter.h>`
`#include <xapian/types.h>`
`#include <xapian/termiterator.h>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::MSet
| A match set (MSet). More...
class | Xapian::MSetIterator
| An iterator pointing to items in an MSet. More...
class | Xapian::ESet
| Class representing an ordered set of expand terms (an ESet). More...
class | Xapian::ESetIterator
| Iterate through terms in the ESet. More...
class | Xapian::RSet
| A relevance set (R-Set). More...
class | Xapian::MatchDecider
| Base class for matcher decision functor. More...
class | Xapian::Enquire
| This class provides an interface to the information retrieval system for the purpose of searching. More...
class | Xapian::Weight
| Abstract base class for weighting schemes. More...
class | Xapian::BoolWeight
| Boolean weighting scheme (everything gets 0). More...
class | Xapian::BM25Weight
| BM25 weighting scheme. More...
class | Xapian::TradWeight
| Traditional probabilistic weighting scheme. More...

## Functions

bool | Xapian::operator== (const MSetIterator &a, const MSetIterator &b)
bool | Xapian::operator!= (const MSetIterator &a, const MSetIterator &b)
bool | Xapian::operator== (const ESetIterator &a, const ESetIterator &b)
bool | Xapian::operator!= (const ESetIterator &a, const ESetIterator &b)

## Detailed Description

API for running queries.